# abstract FontStyle(Null<Int>)

#### package openfl.text

####

Available on all platforms

The FontStyle class provides values for the TextRenderer class.

### Variables

###

`inline read onlyBOLD:FontStyle = 0`

Defines the bold style of a font for the `fontStyle` parameter in the `setAdvancedAntiAliasingTable()` method. Use the syntax `FontStyle.BOLD`.

###

`inline read onlyBOLD_ITALIC:FontStyle = 1`

Defines the italic style of a font for the `fontStyle` parameter in the `setAdvancedAntiAliasingTable()` method. Use the syntax `FontStyle.ITALIC`.

###

`inline read onlyITALIC:FontStyle = 2`

Defines the italic style of a font for the `fontStyle` parameter in the `setAdvancedAntiAliasingTable()` method. Use the syntax `FontStyle.ITALIC`.

###

`inline read onlyREGULAR:FontStyle = 3`

Defines the plain style of a font for the `fontStyle` parameter in the `setAdvancedAntiAliasingTable()` method. Use the syntax `FontStyle.REGULAR`.